﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using NotVisualComponent.Models;

namespace NotVisualComponent.Helpers
{
    public interface IContext 
    {
        void CreateTable(string[,] data);
        void CreateTableWithHeader();
        void CreateMultiHeader<T>(TableWithHeaderConfig<T> config);
        void LoadDataToTableWithMultiHeader(string[,] data, int rowHeight);
        void CreateHeader(string header);
        void SaveDoc(string filepath);
        void CreateBarChart(ChartConfig config);
    }
}
